package com.cpic.xim.config;

import java.util.Objects;

public class City
{
    public City() {}

    public String getCityName()
    {
        return cityName;
    }

    public void setCityName( String cityName )
    {
        this.cityName = cityName;
    }

    public String getCityCode()
    {
        return cityCode;
    }

    public void setCityCode( String cityCode )
    {
        this.cityCode = cityCode;
    }

    @Override
    public boolean equals( Object o )
    {
        if ( this == o )
        {
            return true;
        }
        if ( o == null || getClass() != o.getClass() )
        {
            return false;
        }
        City city = (City) o;
        return cityName.equals( city.cityName ) && cityCode.equals( city.cityCode );
    }

    @Override
    public int hashCode()
    {
        return Objects.hash( cityName, cityCode );
    }

    private String cityName;
    private String cityCode;
}
